package de.unikiel.ipn.htmlform;

/**
 * Implementations of the Appender interface are supposed to
 * update the old files based on the information
 * stored in the {@link Entry} objects.
 */

interface Appender {
    /**
     * Applies all changes that are stored in the entries.
     * Order from first to last entry must be guaranteed.
     * @param entries an array containing the {@link Entry} objects 
     * @see Entry 
     */
    public void append(Entry[] entries);
}

