package de.unikiel.ipn.htmlform;
import javax.swing.*;
import java.awt.*;
import javax.swing.border.*;
import java.awt.event.*;

/**
 * A Panel containing the content of the associated Entry.
 */
class EntryPanel extends JPanel {
    private JTextArea textArea;
    private Entry entry;
    private static final EmptyBorder emptyBorder = new EmptyBorder(5, 5, 5, 5); 
    
    
    /**
     * Creates a new EntryPanel.
     * @param e the associated Entry.
     * @throws NullPointerException if e == null.
     */
    EntryPanel(Entry e) {
        entry = e;
        textArea = new JTextArea();
        textArea.setDocument(e.getDocument());
        textArea.addKeyListener(InputController.getInstance());
        textArea.addFocusListener(new FocusListener() {
            public void focusGained(FocusEvent e) {
                ((JTextArea) e.getSource()).selectAll();
            }
            public void focusLost(FocusEvent e) {}
        });
        setLayout(new BorderLayout());
        setBorder(new CompoundBorder(
                    new TitledBorder(
                        null,
                        e.getLabel() + " (" + e.getFile().getName() + ")",
                        TitledBorder.LEFT,
                        TitledBorder.TOP),
                    emptyBorder
                )
        ); 
        add(new JScrollPane(textArea), BorderLayout.CENTER);
    }
    
    /**
     * Returns the
     * associated
     * Entry.
     * @return the
     * associated
     * Entry
     */
    Entry getEntry() {
        return entry;
    }
}

